%define sover   0
%define libname liblms7compact%{sover}
Name:           liblms7002m
Version:        0.0.0+git.20200518
Release:        1.2
Summary:        Compact LMS7002 library suitable for MCU
License:        LGPL-2.1-only
Group:          System/Libraries
URL:            http://xtrx.io
#Git-Clone:     https://github.com/xtrx-sdr/liblms7002m.git
Source:         %{name}-%{version}.tar.gz
Patch0:         liblms7002m-shared-library-versioning.patch
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  python3
BuildRequires:  python3-cheetah

%description
Compact LMS7002 library suitable for MCU.

%package -n %{libname}
Summary:        Compact LMS7002 library suitable for MCU
Group:          System/Libraries

%description -n %{libname}
Compact LMS7002 library suitable for MCU.

%package devel
Summary:        Development files for liblms7compact
Group:          Development/Libraries/C and C++
Requires:       %{libname} = %{version}

%description devel
Compact LMS7002 library suitable for MCU.

This subpackage contains libraries and header files for developing
applications that want to make use of liblms7compact.

%prep
%setup -q
%patch 0 -p1

%build
%cmake \
    -DCMAKE_SHARED_LINKER_FLAGS=""
%cmake_build

%install
%cmake_install

%post   -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files -n %{libname}
%doc README.md
%license LICENSE
%{_libdir}/liblms7compact.so.%{sover}*

%files devel
%{_includedir}/liblms7002m.h
%{_libdir}/liblms7compact.so

%changelog
* Wed Dec 09 2020 lu3vea@gmail.com - 1.1.2-1
- First Fedora spec
